Несколько уязвимостей в aBitWhizzy

Дата публикации:
29.03.2007
Всего просмотров:
889
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1773
CVE-2007-1774
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
aBitWhizzy
Уязвимые версии: aBitWhizzy 7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "d" в сценариях whizzylink.php, whizzery/whizzylink.php, whizzypic.php и whizzery/whizzypic.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных директорий на системе.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "d" в сценариях whizzypic.php и whizzery/whizzypic.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.unverse.net/abitwhizzy/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA